## Index

### Enumerations

- Ease

### Variables

- backIn
- backInOut
- backOut
- cubicIn
- cubicInOut
- cubicOut
- elasticIn
- elasticInOut
- elasticOut
- quadIn
- quadInOut
- quadOut
- quartIn
- quartInOut
- quartOut
- quintIn
- quintInOut
- quintOut

### Functions

- bounceIn
- bounceInOut
- bounceOut
- circIn
- circInOut
- circOut
- get
- getBackIn
- getBackInOut
- getBackOut
- getElasticIn
- getElasticInOut
- getElasticOut
- getPowIn
- getPowInOut
- getPowOut
- sineIn
- sineInOut
- sineOut

## Variables

### Const backIn

backIn: (Anonymous function) = getBackIn(1.7)

- Defined in tools/ease.ts:118

### Const backInOut

backInOut: (Anonymous function) = getBackInOut(1.7)

- Defined in tools/ease.ts:137

### Const backOut

backOut: (Anonymous function) = getBackOut(1.7)

- Defined in tools/ease.ts:126

### Const cubicIn

cubicIn: (Anonymous function) = getPowIn(3)

- Defined in tools/ease.ts:80

### Const cubicInOut

cubicInOut: (Anonymous function) = getPowInOut(3)

- Defined in tools/ease.ts:84

### Const cubicOut

cubicOut: (Anonymous function) = getPowOut(3)

- Defined in tools/ease.ts:82

### Const elasticIn

elasticIn: (Anonymous function) = getElasticIn(1, 0.3)

- Defined in tools/ease.ts:190

### Const elasticInOut

elasticInOut: (Anonymous function) = getElasticInOut(1, 0.3 * 1.5)

- Defined in tools/ease.ts:216

### Const elasticOut

elasticOut: (Anonymous function) = getElasticOut(1, 0.3)

- Defined in tools/ease.ts:203

### Const quadIn

quadIn: (Anonymous function) = getPowIn(2)

- Defined in tools/ease.ts:74

### Const quadInOut

quadInOut: (Anonymous function) = getPowInOut(2)

- Defined in tools/ease.ts:78

### Const quadOut

quadOut: (Anonymous function) = getPowOut(2)

- Defined in tools/ease.ts:76

### Const quartIn

quartIn: (Anonymous function) = getPowIn(4)

- Defined in tools/ease.ts:86

### Const quartInOut

quartInOut: (Anonymous function) = getPowInOut(4)

- Defined in tools/ease.ts:90

### Const quartOut

quartOut: (Anonymous function) = getPowOut(4)

- Defined in tools/ease.ts:88

### Const quintIn

quintIn: (Anonymous function) = getPowIn(5)

- Defined in tools/ease.ts:92

### Const quintInOut

quintInOut: (Anonymous function) = getPowInOut(5)

- Defined in tools/ease.ts:96

### Const quintOut

quintOut: (Anonymous function) = getPowOut(5)

- Defined in tools/ease.ts:94

## Functions

### bounceIn

- bounceIn(t: any): number

- - Defined in tools/ease.ts:158

  #### Parameters

  - ##### t: any

  #### Returns number

### bounceInOut

- bounceInOut(t: any): number

- - Defined in tools/ease.ts:176

  #### Parameters

  - ##### t: any

  #### Returns number

### bounceOut

- bounceOut(t: any): number

- - Defined in tools/ease.ts:163

  #### Parameters

  - ##### t: any

  #### Returns number

### circIn

- circIn(t: any): number

- - Defined in tools/ease.ts:140

  #### Parameters

  - ##### t: any

  #### Returns number

### circInOut

- circInOut(t: any): number

- - Defined in tools/ease.ts:150

  #### Parameters

  - ##### t: any

  #### Returns number

### circOut

- circOut(t: any): number

- - Defined in tools/ease.ts:145

  #### Parameters

  - ##### t: any

  #### Returns number

### get

- get(amount: any): (Anonymous function)

- - Defined in tools/ease.ts:37

  #### Parameters

  - ##### amount: any

  #### Returns (Anonymous function)

### getBackIn

- getBackIn(amount: any): (Anonymous function)

- - Defined in tools/ease.ts:112

  #### Parameters

  - ##### amount: any

  #### Returns (Anonymous function)

### getBackInOut

- getBackInOut(amount: any): (Anonymous function)

- - Defined in tools/ease.ts:128

  #### Parameters

  - ##### amount: any

  #### Returns (Anonymous function)

### getBackOut

- getBackOut(amount: any): (Anonymous function)

- - Defined in tools/ease.ts:120

  #### Parameters

  - ##### amount: any

  #### Returns (Anonymous function)

### getElasticIn

- getElasticIn(amplitude: any, period: any): (Anonymous function)

- - Defined in tools/ease.ts:181

  #### Parameters

  - ##### amplitude: any

  - ##### period: any

  #### Returns (Anonymous function)

### getElasticInOut

- getElasticInOut(amplitude: any, period: any): (Anonymous function)

- - Defined in tools/ease.ts:206

  #### Parameters

  - ##### amplitude: any

  - ##### period: any

  #### Returns (Anonymous function)

### getElasticOut

- getElasticOut(amplitude: any, period: any): (Anonymous function)

- - Defined in tools/ease.ts:193

  #### Parameters

  - ##### amplitude: any

  - ##### period: any

  #### Returns (Anonymous function)

### getPowIn

- getPowIn(pow: any): (Anonymous function)

- - Defined in tools/ease.ts:55

  #### Parameters

  - ##### pow: any

  #### Returns (Anonymous function)

### getPowInOut

- getPowInOut(pow: any): (Anonymous function)

- - Defined in tools/ease.ts:67

  #### Parameters

  - ##### pow: any

  #### Returns (Anonymous function)

### getPowOut

- getPowOut(pow: any): (Anonymous function)

- - Defined in tools/ease.ts:61

  #### Parameters

  - ##### pow: any

  #### Returns (Anonymous function)

### sineIn

- sineIn(t: any): number

- - Defined in tools/ease.ts:99

  #### Parameters

  - ##### t: any

  #### Returns number

### sineInOut

- sineInOut(t: any): number

- - Defined in tools/ease.ts:107

  #### Parameters

  - ##### t: any

  #### Returns number

### sineOut

- sineOut(t: any): number

- - Defined in tools/ease.ts:103

  #### Parameters

  - ##### t: any

  #### Returns number

Generated using TypeDoc